/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing ProjectPublicationRequestDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class ProjectPublicationRequestDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for ProjectPublicationRequestDto
        //private ProjectPublicationRequestDto instance;

        public ProjectPublicationRequestDtoTests()
        {
            // TODO uncomment below to create an instance of ProjectPublicationRequestDto
            //instance = new ProjectPublicationRequestDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ProjectPublicationRequestDto
        /// </summary>
        [Fact]
        public void ProjectPublicationRequestDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" ProjectPublicationRequestDto
            //Assert.IsType<ProjectPublicationRequestDto>(instance);
        }

        /// <summary>
        /// Test the property 'Id'
        /// </summary>
        [Fact]
        public void IdTest()
        {
            // TODO unit test for the property 'Id'
        }

        /// <summary>
        /// Test the property 'Project'
        /// </summary>
        [Fact]
        public void ProjectTest()
        {
            // TODO unit test for the property 'Project'
        }

        /// <summary>
        /// Test the property 'PublicationServiceRorId'
        /// </summary>
        [Fact]
        public void PublicationServiceRorIdTest()
        {
            // TODO unit test for the property 'PublicationServiceRorId'
        }

        /// <summary>
        /// Test the property 'Creator'
        /// </summary>
        [Fact]
        public void CreatorTest()
        {
            // TODO unit test for the property 'Creator'
        }

        /// <summary>
        /// Test the property 'DateCreated'
        /// </summary>
        [Fact]
        public void DateCreatedTest()
        {
            // TODO unit test for the property 'DateCreated'
        }

        /// <summary>
        /// Test the property 'Message'
        /// </summary>
        [Fact]
        public void MessageTest()
        {
            // TODO unit test for the property 'Message'
        }

        /// <summary>
        /// Test the property 'Resources'
        /// </summary>
        [Fact]
        public void ResourcesTest()
        {
            // TODO unit test for the property 'Resources'
        }
    }
}
